Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream.events
Interface Attribute

All Superinterfaces:
  XMLEvent, XMLStreamConstants

All Known Subinterfaces:
  Namespace

    public interface Attribute

extends XMLEvent

An interface that contains information about an attribute. Attributes are reported as a set of events accessible from a StartElement. Other applications may report Attributes as first-order events, for example as the results of an XPath expression.

Since:
  1.6
See Also:
  `StartElement`

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`String` | `getDTDType()` Gets the type of this attribute, default is the String "CDATA"
`QName` | `getName()` Returns the QName for this attribute
`String` | `getValue()` Gets the normalized value of this attribute
`boolean` | `isSpecified()` A flag indicating whether this attribute was actually specified in the start-tag of its element, or was defaulted from the schema.

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### getName

    QName getName()

  Returns the QName for this attribute

### getValue

    String getValue()

  Gets the normalized value of this attribute

### getDTDType

    String getDTDType()

  Gets the type of this attribute, default is the String "CDATA"

  Returns:
    the type as a String, default is "CDATA"

### isSpecified

    boolean isSpecified()

  A flag indicating whether this attribute was actually specified in the start-tag of its element, or was defaulted from the schema.

  Returns:
    returns true if this was specified in the start element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.